type LogLevel = "debug" | "info" | "warn" | "error" | "trace";
declare class NopLogger {
    disable(): void;
    enable(): void;
    trace(...args: string[]): void;
    debug(...args: string[]): void;
    info(...args: string[]): void;
    warn(...args: string[]): void;
    error(...args: string[]): void;
    log(level: LogLevel, ...args: string[]): void;
}

export { type LogLevel, NopLogger };
